View Issue Details

IDProjectCategoryView StatusLast Update
0021727mantisbtattachmentspublic2017-02-07 05:50
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.3.1 
Target Version2.0.0-rc.1Fixed in Version2.0.0-rc.1 
Summary0021727: Show attachments inline with notes
Description

We should show up the attachments inline with the notes. That is specially useful when the user submits a note with one or more attachments, but it is helpful in all cases for attachments.

In the future as we gradually update the layout of the View Issue page, it is expected that history should also be shown inline, but this is outside the scope of this issue.

Tagsmodern-ui

Relationships

related to 0008242 closedvboctor Attachments for comments 
related to 0005009 acknowledged Being able to know at what step a file was uploaded ? 
related to 0019589 closedvboctor Support adding a note + attachment in one step 
has duplicate 0006449 closedvboctor Smarter handling of files attached to issues 
related to 0021722 closeddregad Issues with '+' button to view attachments inline 
related to 0021796 closeddregad inline attachments should be directly visible 
related to 0021733 new Attachments should be linkable to notes in db 
related to 0021893 acknowledged Allow to add attachments at the edit Note page 
related to 0022323 new Missing whole "Attached Files" section 
related to 0022326 closedvboctor g_time_tracking_without_note has no effect 

Activities

vboctor

vboctor

2016-09-29 03:16

manager   ~0054086

PR: https://github.com/mantisbt/mantisbt/pull/909

dregad

dregad

2016-09-29 05:16

developer   ~0054094

As you work with this, you might want to tackle 0021722 too.

Related Changesets

MantisBT: master f3dc2a35

2016-10-08 17:32:02

vboctor


Committer: GitHub Details Diff
Merge pull request #909 from vboctor/issue21727_inline_attachments

Show attachments inline with notes

Fixes 0021727
mod - bug_monitor_list_view_inc.php Diff File
mod - bug_view_inc.php Diff File
mod - bugnote_add.php Diff File
mod - bugnote_add_inc.php Diff File
mod - bugnote_stats_inc.php Diff File
mod - bugnote_view_inc.php Diff File
mod - config_defaults_inc.php Diff File
add - core/bug_activity_api.php Diff File
mod - core/collapse_api.php Diff File
mod - core/file_api.php Diff File
mod - core/layout_api.php Diff File
mod - core/print_api.php Diff File
mod - core/relationship_api.php Diff File
mod - css/default.css Diff File
mod - docbook/Admin_Guide/en-US/Configuration.xml Diff File
add - docbook/Admin_Guide/en-US/config/view.xml Diff File
mod - js/common.js Diff File
mod - lang/strings_english.txt Diff File
rm - print_bug_page.php Diff File
rm - print_bugnote_inc.php Diff File

MantisBT: master fc992f4e

2016-10-13 21:12:21

vboctor

Details Diff
Remove ‘bug_print_page_fields’ config option

Remove the unused configuration option and mark it obsolete.

Issue 0021727
mod - config_defaults_inc.php Diff File
mod - core/obsolete.php Diff File
mod - docbook/Admin_Guide/en-US/config/fields.xml Diff File

MantisBT: master f12d6552

2016-10-21 01:05:57

vboctor

Details Diff
Fix missing new line from attachment list

New line was missing when having attachments that don’t support preview.
For example, add 3 PDF files and they will all appear on same line.

Fixes 0021727
mod - core/print_api.php Diff File

MantisBT: master 72c43cb1

2016-10-25 02:11:27

vboctor

Details Diff
Group attachments into a single entry

If user attaches multiple files as part of submitting the issue,
or via the note dropzone without a note, they were not grouped.
Now they are grouped into a single entry similar to attachments
submitted with a note.

Issue 0021727
mod - bugnote_view_inc.php Diff File
mod - core/bug_activity_api.php Diff File

Issue History

Date Modified Username Field Change
2016-09-29 03:08 vboctor New Issue
2016-09-29 03:08 vboctor Status new => assigned
2016-09-29 03:08 vboctor Assigned To => vboctor
2016-09-29 03:16 vboctor Note Added: 0054086
2016-09-29 03:17 vboctor Relationship added related to 0008242
2016-09-29 03:17 vboctor Relationship added related to 0005009
2016-09-29 03:17 vboctor Relationship added related to 0019589
2016-09-29 05:16 dregad Note Added: 0054094
2016-10-02 19:16 dregad Target Version 2.0.0-beta.3 => 2.0.0-rc.1
2016-10-05 03:17 dregad Relationship added related to 0021722
2016-10-08 17:52 vboctor Status assigned => resolved
2016-10-08 17:52 vboctor Fixed in Version => 2.0.0-rc.1
2016-10-08 17:52 vboctor Tag Attached: modern-ui
2016-10-08 18:01 vboctor Changeset attached => MantisBT master f3dc2a35
2016-10-08 18:01 vboctor Resolution open => fixed
2016-10-12 07:34 michaelg Issue cloned: 0021796
2016-10-12 07:34 michaelg Relationship added related to 0021796
2016-10-14 11:28 vboctor Changeset attached => MantisBT master fc992f4e
2016-10-21 01:06 vboctor Changeset attached => MantisBT master f12d6552
2016-10-29 22:45 vboctor Changeset attached => MantisBT master 72c43cb1
2016-10-30 03:03 vboctoradmin Category ui => attachments
2016-10-30 23:22 vboctor Status resolved => closed
2016-11-04 09:36 dregad Relationship added related to 0021733
2016-11-09 10:42 dregad Relationship added related to 0021893
2016-12-07 01:46 vboctor Relationship added has duplicate 0006449
2017-02-06 09:48 atrol Relationship added related to 0022323
2017-02-07 05:50 dregad Relationship added related to 0022326